<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (orderKerja) {
      <div>
        <h2 data-cy="orderKerjaDetailsHeading"><span>Order Kerja</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ orderKerja.id }}</span>
          </dd>
          <dt><span>Nomor</span></dt>
          <dd>
            <span>{{ orderKerja.nomor }}</span>
          </dd>
          <dt><span>Tanggal</span></dt>
          <dd>
            <span>{{ orderKerja.tanggal | formatMediumDate }}</span>
          </dd>
          <dt><span>Kategori</span></dt>
          <dd>
            <span>{{ orderKerja.kategori }}</span>
          </dd>
          <dt><span>Tanggal Terima</span></dt>
          <dd>
            <span>{{ orderKerja.tanggalTerima | formatMediumDate }}</span>
          </dd>
          <dt><span>Jumlah Akta</span></dt>
          <dd>
            <span>{{ orderKerja.jumlahAkta }}</span>
          </dd>
          <dt><span>Jumlah Cancel</span></dt>
          <dd>
            <span>{{ orderKerja.jumlahCancel }}</span>
          </dd>
          <dt><span>Jumlah Cetak Akta</span></dt>
          <dd>
            <span>{{ orderKerja.jumlahCetakAkta }}</span>
          </dd>
          <dt><span>Upload File</span></dt>
          <dd>
            <span>{{ orderKerja.uploadFile }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ orderKerja.status }}</span>
          </dd>
          <dt><span>Status Signed</span></dt>
          <dd>
            <span>{{ orderKerja.statusSigned }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ orderKerja.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ orderKerja.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Approve By</span></dt>
          <dd>
            <span>{{ orderKerja.approveBy }}</span>
          </dd>
          <dt><span>Approve On</span></dt>
          <dd>
            <span>{{ orderKerja.approveOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Sk Subtitusi</span></dt>
          <dd>
            @if (orderKerja.skSubtitusi) {
              <div>
                <a [routerLink]="['/sk-subtitusi', orderKerja.skSubtitusi.id, 'view']">{{ orderKerja.skSubtitusi.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Notaris</span></dt>
          <dd>
            @if (orderKerja.notaris) {
              <div>
                <a [routerLink]="['/notaris', orderKerja.notaris.id, 'view']">{{ orderKerja.notaris.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Penerima Kuasa</span></dt>
          <dd>
            @if (orderKerja.penerimaKuasa) {
              <div>
                <a [routerLink]="['/penerima-kuasa', orderKerja.penerimaKuasa.id, 'view']">{{ orderKerja.penerimaKuasa.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/order-kerja', orderKerja.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
